summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2021-03-08 19:16:10 +0000
committerKarl Berry <karl@freefriends.org>2021-03-08 19:16:10 +0000
commit9fbac07cfaf6f8c5db0aeeae66423e5fedff8adc (patch)
tree6217079ead86439226c9e72777d9017761d4656d /Master/tlpkg/bin/ctan2tl
parentbc334c3dd9395017a3d0327cd0ef1d88da2c290a (diff)
knuth tuneup2021 update from pwebmac/knuth-lib.tar.gz
git-svn-id: svn://tug.org/texlive/trunk@58228 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl21
1 files changed, 8 insertions, 13 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 0f366a6a08c..fa14e9279d5 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -25,6 +25,8 @@ if test "x$1" = x--help; then
echo
echo "--place, -p perform repository adds/removes."
echo "--no-ctan if already have files in Build/tmp.raw/PKG."
+ echo "--contrib for https://contrib.texlive.info"
+ echo "--git for git"
echo
echo "This never actually commits anything to the repository,"
echo "but it does svn update the potentially affected directories."
@@ -33,7 +35,7 @@ if test "x$1" = x--help; then
echo "With --place, it also does repository adds and removes,"
echo "but never commits."
echo
- echo "Read and understand http://tug.org/texlive/pkgupdate.html"
+ echo "Read and understand https://tug.org/texlive/pkgupdate.html"
echo "before running this."
exit 0
fi
@@ -47,14 +49,10 @@ while true; do
case "$1" in
'-p'|'--place')
place_chicken=
- shift
- continue
- ;;
+ shift;;
'--no-ctan')
copy_from_ctan=false
- shift
- continue
- ;;
+ shift;;
'--contrib')
do_contrib=true
shift
@@ -62,13 +60,10 @@ while true; do
shift
contrib_ctan2tds_arg=--contrib
contrib_place_arg="--contrib=$contrib_place --mode=git"
- continue
;;
'--git')
mode="git"
- shift
- continue
- ;;
+ shift;;
*)
break
;;
@@ -127,11 +122,11 @@ if test "$pkg" = genmisc; then # remove files after copying in ctan2tds
cp -p \
`find $ctan_dir/* '(' -type d -o -type l ')' -prune -o \
'(' -name '*.sty' -o -name *.tex ')' -print` \
- $pkg
+ $pkg || exit 1
else
# normal case (/. to deref symlinks, e.g., arabtex)
- cp -pr $ctan_dir/. $pkg
+ cp -pr $ctan_dir/. $pkg || exit 1
fi
# clean up the tmpdir possibly created by tlpkginfo --prepare.